@import 'abstracts/_mixins'
@import 'abstracts/_variables'
@import 'abstracts/_breakpoints'

.product-detail-content
  +flex(flex-start, flex-start)
  width: 100%
  .product-image
    cursor: pointer
    margin-right: 20px
    padding: var(--padding-xs)
    transition: all 0.1s ease-in
    &:hover
      transform: scale(1.05)
  .product-detail
    +flex(flex-start, flex-start, column)
    width: 100%
    height: 400px
    position: relative
    .details
      +flex(flex-start, flex-start, column)
      color: var(--black)
      .title
        font-size: var(--fs-xl)
        font-weight: 600
        margin-bottom: 10px
      .description
        font-size: var(--fs-s)
        color: var(--gray-2)
        font-weight: 400
      .price
        font-size: var(--fs-l)
        font-weight: 600
    .btn-wrapper
      +flex(center, center)
      width: 100%
      position: absolute
      bottom: 0px
      .add-to-cart-btn
        width: 200px
        height: 38px
        border-radius: var(--border-radius)
        border: none
        background: var(--red-1)
        background: -webkit-linear-gradient(to right, #ff4e3c, #ff3f39)
        background: linear-gradient(to right, #ff4e3c, #ff3f39)
        span
          color: var(--white)
          font-size: var(--fs)
          font-family: 'Poppins'
        &:disabled
          background: var(--gray-4)
        &:hover
          +general-box-shadow(0px, 2px, 0px, 0px, rgba(0, 0, 0, 0.1))

.skeleton
  &.title, &.description
    +skeleton(260px, 30px, 10px)
    margin-bottom: 10px
  &.price
    +skeleton(120px, 30px, 10px)
  &.image
    +skeleton(350px, 400px)
    margin-right: 10px

@media only screen and (max-width: $break-mobile)
  .product-detail-content
    flex-direction: column
    .product-image
      +flex(center, center)
      width: 100%
      padding: 0
    .product-detail
      padding: var(--padding)
      box-sizing: border-box
      .btn-wrapper
        height: 100%
        justify-content: flex-end
        align-items: flex-end
        position: relative
        .add-to-cart-btn
          width: 100%
          height: 50px

